using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Security.Principal;
using System.Text;
using System.Xml.Linq;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 系统基础资料-人员基础资料   yuany
    ///</summary>
    [SugarTable("BasUser"), TenantAttribute("mes")]
    [DataContract(Name = "BaseUser 人员基础资料")]
    #pragma warning disable CS8618 // Non-nullable field 'Data' must contain a non-null value when exiting constructor. Consider declaring the field as nullable.
    public class BaseUser
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ObjID", IsPrimaryKey = true, IsIdentity = true)]
        public int ObjID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserName")]
        public string UserName { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserPWD")]
        public string UserPWD { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RealName")]
        public string RealName { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "Sex")]
        public int? Sex { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Telephone")]
        public string Telephone { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "WorkBarcode")]
        public string WorkBarcode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "DeptCode")]
        public string DeptCode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "WorkID")]
        public int? WorkID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ShiftID")]
        public int? ShiftID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "WorkShopID")]
        public int? WorkShopID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "HRCode")]
        public string HRCode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ERPCode")]
        public string ERPCode { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "DeleteFlag")]
        public string DeleteFlag { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Remark")]
        public string Remark { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "IsEmployee")]
        public string IsEmployee { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RecordTime")]
        public DateTime? RecordTime { get; set; }
    }
}

